%define major      0
%define libname    %mklibname openmpt %{major}
%define develname  %mklibname openmpt -d

Name:           libopenmpt
Version:        0.7.9
Release:        %mkrel 1
Summary:        C++ and C library to decode tracker music files
License:        BSD-3-Clause
Group:          System/Libraries
URL:            https://lib.openmpt.org/libopenmpt/
Source:         https://lib.openmpt.org/files/libopenmpt/src/%{name}-%{version}+release.autotools.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dos2unix
BuildRequires:  libtool
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)

%description
libopenmpt is a C++ and C library to decode tracker music files
(modules) into a PCM audio stream. It is based on the player code of
the OpenMPT project, a descendant of the original ModPlug Tracker.

%package -n     %{libname}
Summary:        Library to operate with module formats using the openmpt API
Group:          System/Libraries

%description -n %{libname}
libopenmpt is a C++ and C library to decode tracker music files
(modules) into a PCM audio stream. It is based on the player code of
the OpenMPT project, a descendant of the original ModPlug Tracker.

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       openmpt-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%package -n     openmpt123
Summary:        Command line module player
Group:          Sound/Utilities

%description -n openmpt123
This package contains the openmpt123 command-line module player.

%prep
%autosetup -n %{name}-%{version}+release.autotools

# disable werror
sed -i -e 's:-Werror ::g' configure.ac
# fix encoding
dos2unix LICENSE README.md

%build
autoreconf -fvi
# doxygen docu is better on their website, no need to ship it
# docdir points to devel as it is installing the devel examples
%configure \
    --docdir=%{_docdir}/%{name}-devel \
    --disable-static \
    --disable-silent-rules \
    --disable-doxygen-doc \
    --with-zlib \
    --with-mpg123 \
    --with-ogg \
    --with-vorbis \
    --with-vorbisfile \
    --with-pulseaudio \
    --with-sndfile \
    --with-flac \
    --with-portaudio \
    --with-sdl2
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n openmpt123
%license LICENSE
%doc README.md
%{_bindir}/openmpt123
%{_mandir}/man1/openmpt123.1.*

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libopenmpt.so.%{major}{,.*}

%files -n %{develname}
%{_docdir}/%{name}-devel/
%{_includedir}/libopenmpt/
%{_libdir}/libopenmpt.so
%{_libdir}/pkgconfig/libopenmpt.pc


%changelog
* Tue Jul 23 2024 daviddavid <daviddavid> 0.7.9-1.mga10
+ Revision: 2082281
- new version: 0.7.9

* Wed Jun 12 2024 daviddavid <daviddavid> 0.7.8-1.mga10
+ Revision: 2072831
- new version: 0.7.8

* Thu May 23 2024 daviddavid <daviddavid> 0.7.7-1.mga10
+ Revision: 2066846
- new version: 0.7.7

* Sat Mar 30 2024 daviddavid <daviddavid> 0.7.6-1.mga10
+ Revision: 2053352
- new version: 0.7.6

* Tue Mar 26 2024 daviddavid <daviddavid> 0.7.5-1.mga10
+ Revision: 2052277
- new version: 0.7.5

* Thu Mar 07 2024 daviddavid <daviddavid> 0.7.4-1.mga10
+ Revision: 2048243
- new version: 0.7.4

* Wed Sep 20 2023 daviddavid <daviddavid> 0.7.3-1.mga10
+ Revision: 1988464
- new version: 0.7.3

* Mon Aug 28 2023 daviddavid <daviddavid> 0.7.2-1.mga10
+ Revision: 1980542
- new version: 0.7.2

* Mon Jun 05 2023 daviddavid <daviddavid> 0.7.1-1.mga9
+ Revision: 1961026
- initial package libopenmpt

